libzypp 17.37.10

gzstream.h File Reference
`#include <iosfwd>`
`#include <streambuf>`
`#include <vector>`
`#include <zlib.h>`
`#include <zypp-core/base/SimpleStreambuf>`
`#include <zypp-core/base/fXstream>`

Go to the source code of this file.

## Classes
struct | zypp::gzstream_detail::ZlibError
| Helper class to ship zlib errors. More...
class | zypp::gzstream_detail::gzstreambufimpl
| Streambuffer reading or writing gzip files. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::gzstream_detail

## Typedefs
using | zypp::gzstream_detail::fgzstreambuf = detail::SimpleStreamBuf<gzstreambufimpl>
using | zypp::ifgzstream = detail::fXstream<std::istream, gzstream_detail::fgzstreambuf>
| istream reading gzip files as well as plain files.
using | zypp::ofgzstream = detail::fXstream<std::ostream, gzstream_detail::fgzstreambuf>
| ostream writing gzip files.